Bug 551837 - RFE: Please make Gimp 2.7/2.8 packages available for testing
Summary: RFE: Please make Gimp 2.7/2.8 packages available for testing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-02 13:49 UTC by Valent Turkovic
Modified: 2012-11-13 10:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-13 10:48:32 UTC
Type: ---


Attachments (Terms of Use)

Description Valent Turkovic 2010-01-02 13:49:21 UTC
Description of problem:
The new GIMP 2.7/2.8 shows lots of new features, and one of most exiting ones is also the new UI. It would be great if packages of new GIMP 2.7/2.8 would be available for Fedora 11/12 in testing repos and also in Rawhide repos.

I saw Mo make packages for Fedora 12 but they are ony 64 bit :(
http://mairin.wordpress.com/2009/11/14/gimp-2-7-0-x86_64-packages-for-f12/

Thank you in advance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Valent Turkovic 2010-01-10 20:35:29 UTC
Should I change this bug for Fedora 12, or is it ok to leave it for Rawhide?

Could you please reply to this request, thank you.

Comment 2 Gideon Mayhak 2010-01-10 20:58:35 UTC
I just want to chime in briefly and say that I would love for GIMP 2.8 to be an F13 feature!  That said, I have no idea what the timeline looks like for that release, and I therefore don't know if that's at all feasible.  Perhaps an F14 feature?  Either way, GIMP 2.8 seems like a huge thing, and I would love to see Fedora be a driving force in its development!

Comment 3 Nils Philippsen 2010-01-12 13:51:04 UTC
I'd expect gimp 2.8 at the end of the year earliest, cf.:

http://www.gimpusers.com/forums/gimp-developer/12254-GIMP-2-8-schedule.html#msg56296

I also don't think that an update for a single app warrants a feature -- I'll include it anyway when it's available.

Since you can't install two different GIMP dot-releases into the same prefix, having GIMP unstable as an official Fedora package is out of the question (it needs to go to e.g. /opt or /usr/local to not affect the stable version, these locations may not be used by Fedora packages). Maybe I'll roll some private packages when there's a beta and put them on fedorapeople, but until then you have to build from source yourself.

Comment 4 Valent Turkovic 2010-01-12 20:40:14 UTC
Private package would be highly appreciated!

Thank you Nils for detailed explanation and your time, we can only hope that gimp 2.8 becomes mature enough to replace 2.6 as soon as possible.

Comment 5 Valent Turkovic 2010-10-13 18:38:06 UTC
Anybody tried making GIMP 2.7/2.8 packages and making them available via http://repos.fedorapeople.org/ ?

Comment 6 Valent Turkovic 2011-10-19 17:40:36 UTC
Any chance of getting GIMP 2.7.x packages in rawhide or updates-testing repos? Are there some special blockers stopping this from happening?

Comment 7 Valent Turkovic 2011-10-19 17:41:50 UTC
Now I see that Luya has managed to package these packages:
http://repos.fedorapeople.org/repos/luya/gimp/

Comment 8 Christoph Wickert 2011-10-19 19:28:22 UTC
(In reply to comment #6)
> Any chance of getting GIMP 2.7.x packages in rawhide or updates-testing repos?

Definitely not updates-testing because if conflicts with http://fedoraproject.org/wiki/Updates_Policy

Comment 9 Valent Turkovic 2011-10-19 20:59:30 UTC
But rawhide repo would be ok?

Comment 10 Christoph Wickert 2011-10-19 21:33:27 UTC
Well, what is in rawhide now will become Fedora 17 later and if GIMP is delayed again, this might become a problem. ATM GIMP 2.8 is to be released in January 2012 but given the enormous delay we had already I am not fully convinced it will be in time for F17.

So at this point I don't see a reason to have it in the repos yet. But this is only my personal opinion.

Comment 11 Nils Philippsen 2011-10-20 07:32:35 UTC
I'm also a bit wary to put them in Rawhide right now, for the reasons Christoph stated. While the chances to get them in "in time" for F-17 are more than even, I'll probably wait until shortly before that time -- I really don't want to put them in now and back them out later on the off chance that 2.8 is delayed further. You've already found Luya's repo, so in the meantime you can use his 2.7.x packages, or mine which are at:

http://repos.fedorapeople.org/repos/nphilipp/gimp-unstable/

Comment 12 Nils Philippsen 2012-11-13 10:48:32 UTC
Version 2.8.x of GIMP is in Fedora from version 17 on.


Note You need to log in before you can comment on or make changes to this bug.